//
//  MethodName.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 15.05.23.
//

import Foundation

public enum MethodName: String {
    case initScanbotSdk
    case getLicenseStatus
    case cleanupBarcodeStorage
    case startBarcodeScanner
    case startBatchBarcodeScanner
    case detectFromImageFile
    case getDecryptedDataFromFile
    case unknown
    
    init(fromRawValue: String) {
        self = MethodName(rawValue: fromRawValue) ?? .unknown
    }
} 
