//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeImageGenerationType {
    init(from string: String) {
        switch string {
        case "NONE": self = .none
        case "CAPTURED_IMAGE": self = .capturedImage
        case "VIDEO_FRAME": self = .fromVideoFrame
        default: self = .none
        }
    }
}
