//
//  SBSDKBarcodeMSIPlesseyChecksumAlgorithm.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 16.05.23.
//

import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeMSIPlesseyChecksumAlgorithm {
    init(from string: String) {
        switch string {
        case "Mod10": self = .mod10
        case "Mod11IBM": self = .mod11IBM
        case "Mod11NCR": self = .mod11NCR
        case "Mod1010": self = .mod1010
        case "Mod1110IBM": self = .mod1110IBM
        case "Mod1110NCR": self = .mod1110NCR
        case "NONE": self = .none
        default: self = .none
        }
    }
}
