//
//  SBSDKUICameraConfiguration.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 16.05.23.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUICameraConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        if let cameraModule = dictionary["cameraModule"] as? String {
            if cameraModule == "FRONT" {
                self.camera = SBSDKCameraDevice.defaultFrontFacingCamera()
            } else {
                self.camera = SBSDKCameraDevice.defaultBackFacingCamera()
            }
        }
    }
}
