//
//  SBSDKBarcodeOverlayFormat.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 16.05.23.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeOverlayFormat {
    init(from string: String) {
        switch string {
        case "CODE": self = .code
        case "CODE_AND_TYPE": self = .codeAndType
        case "NONE": self = .none
        default: self = .none
        }
    }
}
