//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation

extension CGSize {
    var encodedDictionary: [String: Any] {
        return ["height": self.height, "width": self.width]
    }
    
    init(from dictionary: [String: Any]) {
        self = .zero
        if let width = dictionary["width"] as? CGFloat {
            self.width = width
        }
        if let height = dictionary["height"] as? CGFloat {
            self.height = height
        }
    }
}
