//
//  String.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 25.05.23.
//

import Foundation

extension String {
    
    var dictionnary: [String: Any]? {
        if let data = self.data(using: .utf8) {
            do {
                let dict = try JSONSerialization.jsonObject(with: data, options: []) as? [String: Any] 
                return dict
            } catch {
                return nil
            }
        } else {
            return nil
        }
    }
}
