//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

#import "ScanbotBarcodeSdkPlugin.h"
#if __has_include(<barcode_scanner/barcode_scanner-Swift.h>)
#import <barcode_scanner/barcode_scanner-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "barcode_scanner-Swift.h"
#endif

@implementation ScanbotBarcodeSdkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    ClassicalBarcodeScannerViewFactory* factory =
          [[ClassicalBarcodeScannerViewFactory alloc] initWithMessenger:registrar.messenger];
  
    [registrar registerViewFactory:factory withId:@"scanbot_sdk_camera"];
    [SwiftScanbotBarcodeSdkPlugin registerWithRegistrar:registrar];
}
@end
